pipelines:
  branches:
    master:
      - step:
          name: Deploy to production
          deployment: production
          script:
            - echo "Deploying to production environment"
            - pipe: atlassian/ssh-run:0.2.2
              variables:
                SSH_USER: 'root'
                SERVER: '162.217.144.74'
                COMMAND: '/home/mappenws/repo/mappen-servicios/deploy.sh'
    # test:
    #   - step:
    #       name: Deploy to production
    #       deployment: production
    #       script:
    #         - echo "Deploying to production environment"
    #         - pipe: atlassian/ssh-run:0.2.2
    #           variables:
    #             SSH_USER: 'root'
    #             SERVER: '162.217.144.125'
    #             COMMAND: '/home/mappen/repo/deploy-test.sh'
    dev:
      - step:
          name: Deploy to development
          deployment: development
          script:
            - echo "Deploying to dev environment"
            - pipe: atlassian/ssh-run:0.2.2
              variables:
                SSH_USER: 'root'
                SERVER: '162.217.146.74'
                COMMAND: '/home/mappenws/repo/deploy-dev.sh'
    test:
      - step:
          name: Deploy to test
          deployment: test
          script:
            - echo "Deploying to test environment"
            - pipe: atlassian/ssh-run:0.2.2
              variables:
                SSH_USER: 'root'
                SERVER: '162.217.146.74'
                COMMAND: '/home/mappenws/repo/mappen-servicios/deploy-test.sh'